<ng-container *appVar="(isLoading$ | async) as isLoading">
  <ng-container *appVar="(hasErrors$ | async) as hasErrors">
    <ng-container *appVar="(inviteUid$ | async) as inviteUid">
      <div class="title-h2">
        Регистрация
      </div>
      <mat-error *ngIf="hasErrors">
        Не удается создать учетную запись
      </mat-error>

      <form [formGroup]="form"
            (ngSubmit)="handleFormSubmit()"
            class="create-profile-form">
        <mat-form-field>
          <mat-label>Фамилия</mat-label>

          <input matInput
                 formControlName="lastName"
                 type="text"
                 placeholder="Введите вашу фамилию">

          <mat-error *ngIf="form.controls.lastName.invalid && form.controls.lastName.touched">
            Значение не указано
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>Имя</mat-label>

          <input matInput
                 formControlName="firstName"
                 type="text"
                 placeholder="Введите ваше имя">

          <mat-error *ngIf="form.controls.firstName.invalid && form.controls.lastName.touched">
            Значение не указано
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>Отчество</mat-label>

          <input matInput
                 formControlName="middleName"
                 type="text"
                 placeholder="Введите ваше отчество">

          <mat-error *ngIf="form.controls.middleName.invalid && form.controls.middleName.touched">
            Значение не указано
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>ИНН</mat-label>

          <input matInput
                 formControlName="inn"
                 type="text"
                 placeholder="Введите ваш ИНН">

          <mat-error *ngIf="form.controls.inn.invalid && form.controls.inn.touched">
            Значение не указано
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>Электронная почта</mat-label>

          <input matInput
                 formControlName="email"
                 type="text"
                 placeholder="Введите ваш адрес электронной почты">

          <mat-error *ngIf="form.controls.email.invalid && form.controls.email.touched">
            Значение не указано
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-label>Пароль</mat-label>

          <input matInput
                 formControlName="password"
                 type="password"
                 placeholder="Введите пароль">

          <mat-error *ngIf="form.controls.password.invalid && form.controls.password.touched">
            Значение не указано
          </mat-error>
        </mat-form-field>

        <p *ngIf="!isNil(inviteUid)">Вы приглашены пользователем: {{inviteUid}}</p>

        <button type="submit"
                mat-flat-button
                [disabled]="isLoading"
                color="primary"
        >
          Создать учетную запись
        </button>

        <mat-divider></mat-divider>

        <a mat-button
           [routerLink]="signInLinkOptions"
           color="primary"
        >
          Войти
        </a>
      </form>
    </ng-container>
  </ng-container>
</ng-container>
